summaryrefslogtreecommitdiffstats
path: root/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/reiserfsprogs/reiserfsprogs.SlackBuild')
-rwxr-xr-xsource/a/reiserfsprogs/reiserfsprogs.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/source/a/reiserfsprogs/reiserfsprogs.SlackBuild b/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
new file mode 100755
index 000000000..c56d8f13f
--- /dev/null
+++ b/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=3.6.21
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-reiserfs
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf reiserfsprogs-$VERSION
+tar xvf $CWD/reiserfsprogs-$VERSION.tar.?z* || exit 1
+cd reiserfsprogs-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sbindir=/sbin \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+if [ "$ARCH" = "x86_64" ]; then
+ # To prevent compilation errors due to broken header:
+ sed -i -e 's?#define HAVE_ASM_UNALIGNED_H 1?/* & */?' config.h
+fi
+
+make $NUMJOBS || make || exit1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a couple of useful symlinks
+( cd $PKG/sbin
+ ln -sf mkreiserfs mkfs.reiserfs
+ ln -sf reiserfsck fsck.reiserfs
+)
+
+# These were renamed, it seems
+# --> Deleting /usr/man/man8/debugreiserfs.8.gz
+# --> Deleting /usr/man/man8/mkreiserfs.8.gz
+# --> Deleting /usr/man/man8/reiserfsck.8.gz
+# --> Deleting /usr/man/man8/reiserfstune.8.gz
+# --> Deleting /usr/man/man8/resize_reiserfs.8.gz
+# Do we want symlinks for backwards compatibility? If so...
+( cd $PKG/usr/man/man8
+ ln -s mkfs.reiserfs.8 mkreiserfs.8
+ ln -s debugfs.reiserfs.8 debugreiserfs.8
+ ln -s fsck.reiserfs.8 reiserfsck.8
+ ln -s tunefs.reiserfs.8 reiserfstune.8
+ ln -s resizefs.reiserfs.8 resize_reiserfs.8
+)
+
+# Compress the man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/reiserfsprogs-$VERSION
+cp -a \
+ AUTHORS COPYING* CREDITS INSTALL NEWS README* \
+ $PKG/usr/doc/reiserfsprogs-$VERSION
+chmod 644 $PKG/usr/doc/reiserfsprogs-$VERSION/*
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/reiserfsprogs-$VERSION-$ARCH-$BUILD.txz
+